[Bug 1316682] [NEW] The DMARC Wrap Message action is incompatible with some older Python email libraries.

Mark Sapiro mark at msapiro.net
Tue May 6 18:25:02 CEST 2014


Public bug reported:

There is a bug in Python's email package (See
<http://bugs.python.org/issue7970>) which is fixed in recent versions,
but which causes Mailman's OutgoingRunner process to throw a "TypeError:
Expected list, got <type 'str'>" exception on outgoing messages wrapped
by the DMARC Wrap Message action.

This bug does not exist in Python 2.6.5 and later. It does exist in all
Python 2.5.x and earlier. It is not known to me in which Python 2.6.x (x
<= 5) it was fixed.

It will cause any outgoing individual messages to which the DMARC Wrap
Message action was applied to be shunted and not delivered.

** Affects: mailman
     Importance: Critical
     Assignee: Mark Sapiro (msapiro)
         Status: In Progress

-- 
You received this bug notification because you are a member of Mailman
Coders, which is subscribed to GNU Mailman.
https://bugs.launchpad.net/bugs/1316682

Title:
  The DMARC Wrap Message action is incompatible with some older Python
  email libraries.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mailman/+bug/1316682/+subscriptions


More information about the Mailman-coders mailing list